## Apache Zeta Components Manual :: Docs For Class ezcDocumentValidationError

### Document::ezcDocumentValidationError

### Class ezcDocumentValidationError

Unifies different errors into a single structure for all kinds of validation errors. The validation error message can be fetched using the __toString() method, while the original error is still be available, fi required.

Source for this file: /Document/src/validation_error.php

Version: | //autogen//

### Member Variables

protected static array | `$errorTypes` textual mapping for libxml error types.
protected mixed | `$error` Original error object
protected string | `$message` Transformed error message.

### Method Summary

public static ezcDocumentValidationError | `createFromException( $e )` Create validation error from Exception
public static ezcDocumentValidationError | `createFromLibXmlError( $error )` Create from LibXmlError
protected void | `__construct( $message , [ $error = null] )` Create validation error object
public mixed | `getOriginalError( )` Get original error object
public void | `__toString( )` Convert libXML error to string

### Methods

#### createFromException

static ezcDocumentValidationError createFromException( $e )

Create validation error from Exception

##### Parameters:

Name | Type | Description
--- | --- | ---
`$e` | Exception |

#### createFromLibXmlError

static ezcDocumentValidationError createFromLibXmlError( $error )

Create from LibXmlError

Create a validation error object from a LibXmlError error object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$error` | LibXMLError |

#### __construct

void __construct( string $message , [mixed $error = null] )

Create validation error object

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |
`$error` | mixed |

#### getOriginalError

mixed getOriginalError( )

Get original error object

#### __toString

void __toString( )

Convert libXML error to string

Documentation generated by phpDocumentor 1.4.3